package com.bocloud.sms.service.upgrade;

import java.util.*;

public class UpgradeException extends RuntimeException {

    private Map<String, Throwable> throwables = new HashMap<>();

    public void addThrowable(String taskName, Throwable throwable) {
        this.throwables.put(taskName, throwable);
    }

    @Override
    public String getMessage() {
        StringBuilder message = new StringBuilder("\r\n");
        for (Map.Entry<String, Throwable> entry : throwables.entrySet()) {
            message.append("[").append(entry.getKey()).append("]执行失败，异常信息：")
                    .append(entry.getValue().getMessage()).append("\r\n");
        }
        return message.toString();
    }

    @Override
    public void printStackTrace() {
        super.printStackTrace();
    }

    @Override
    public StackTraceElement[] getStackTrace() {
        if (throwables.isEmpty()) {
            return super.getStackTrace();
        } else {
            List<StackTraceElement> stackTraceElements = new ArrayList<>();
            for (Throwable throwable : throwables.values()) {
                stackTraceElements.addAll(Arrays.asList(throwable.getStackTrace()));
            }
            return stackTraceElements.toArray(new StackTraceElement[0]);
        }
    }

    public boolean hasThrowable() {
        return !throwables.isEmpty();
    }
}
