package com.bocloud.sms.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 管理员角色实体类
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年1月29日
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("manager_role")
public class ManagerRole extends Generic {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("manager_id")
    private Long managerId; // 管理员ID
    @Column("role_id")
    private Long roleId; // 角色ID

    public ManagerRole(Long managerId, Long roleId) {
        super();
        this.managerId = managerId;
        this.roleId = roleId;
    }
}
