package com.bocloud.sms.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 用户组与用户的关系
 *
 * @author hongqingyu
 * @version 1.0
 * @since 2022-06-14
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("user_group_relation")
public class UserGroupRelation extends Generic {
    /**
     * id
     */
    @PK(value = PKStrategy.AUTO)
    private Long id;

    /**
     * 用户id
     */
    @Column("user_id")
    private Long userId;

    /**
     * 用户组id
     */
    @Column("user_group_id")
    private Long userGroupId;

    public UserGroupRelation(Long userId, Long userGroupId) {
        this.userId = userId;
        this.userGroupId = userGroupId;
    }
}
