package com.bocloud.sms.model;

import com.bocloud.sms.entity.CloudService;
import com.megatron.entity.bean.Generic;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author tyl
 * @time 2020/3/10 周二 13:36
 */
@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
public class CloudServiceBean extends Generic {
    private String icon;// 图标id
    private String code;
    private Date gmtCreate;
    private Date gmtModify;
    private String remark;
    private Long ownerId;
    private Long menderId;
    private String catalogName; // 产品名字
    private Boolean deleted;
    private String name;
    private Long id;
    private String sn; // 产品编码
    private Boolean subscribe;//是否订阅
    private Boolean favorite; //是否收藏
    private String path; //菜单路径
    private String vendorType;
    private Integer priority; //排序字段
    private Long favoriteId;

    public CloudServiceBean(String icon, String code, Date gmtCreate, Date gmtModify, String remark, Long ownerId, Long menderId, String catalogName, Boolean deleted, String name, Long id, String sn, Long favoriteId) {
        this.icon = icon;
        this.code = code;
        this.gmtCreate = gmtCreate;
        this.gmtModify = gmtModify;
        this.remark = remark;
        this.ownerId = ownerId;
        this.menderId = menderId;
        this.catalogName = catalogName;
        this.deleted = deleted;
        this.name = name;
        this.id = id;
        this.sn = sn;
        this.favoriteId = favoriteId;
    }

    public CloudServiceBean(CloudService cloudService) {
        this.icon = cloudService.getIcon();
        this.code = cloudService.getCode();
        this.gmtCreate = cloudService.getGmtCreate();
        this.gmtModify = cloudService.getGmtModify();
        this.remark = cloudService.getRemark();
        this.ownerId = cloudService.getOwnerId();
        this.menderId = cloudService.getMenderId();
        this.catalogName = cloudService.getCatalogName();
        this.deleted = cloudService.getDeleted();
        this.name = cloudService.getName();
        this.id = cloudService.getId();
        this.sn = cloudService.getSn();
    }
}
