package com.bocloud.sms.model;

import com.bocloud.sms.entity.ResourceQuota;
import com.bocloud.sms.entity.TenantAccount;
import com.megatron.common.model.RequestContext;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 服务授权消息实体
 *
 * @author tyl
 * @since 2021/3/30 19:48
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class TenantGrantMessage {
    /**
     * 租户id
     */
    private Long tenantId;
    /**
     * 授权服务id集合
     */
    private List<Long> serviceIds;
    /**
     * 授权新增配额集合
     */
    private List<ResourceQuota> addQuota;
    /**
     * 授权更新配额集合
     */
    private List<ResourceQuota> updateQuota;
    /**
     * 授权授信账号
     */
    private TenantAccount tenantAccount;
    /**
     * 请求用户
     */
    private RequestContext requestContext;

    public TenantGrantMessage(Long tenantId, List<Long> serviceIds, TenantAccount tenantAccount, RequestContext requestContext) {
        this.tenantId = tenantId;
        this.serviceIds = serviceIds;
        this.tenantAccount = tenantAccount;
        this.requestContext = requestContext;
    }
}
